Skip to content
Developer

StudioTraining / StudioTrainingPlanDay

Studio training6 EndpointsCRM / StudioTraining / StudioTrainingPlanDay

Returns a list of StudioTrainingPlanDay objects

GET/api/crm/studio_training/plan_day

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
planstring
namestring
dayOfWeekstringOptional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of StudioTrainingPlanDay objectsarray<StudioTrainingPlanDay>

Show fields (11)
  • idinteger

    Primary key of the plan day. Internal ID.

  • planStudioTrainingPlan

    Plan the day belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • namestring

    Name of the plan day.

  • descriptionstring

    Description of the plan day.

  • day_of_weekinteger

    Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

  • roundsinteger

    Number of rounds if the day is executed as a circuit (Zirkeltraining)

  • round_rest_secondsinteger

    Pause between circuit rounds in seconds

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan_day \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "day_of_week": 1,
    "rounds": 1,
    "round_rest_seconds": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  }
]

Create a single StudioTrainingPlanDay

POST/api/crm/studio_training/plan_day

Request body application/json

  • dataStudioTrainingPlanDay
    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

Responses

200Create a single StudioTrainingPlanDayStudioTrainingPlanDay

Show fields (11)
  • idinteger

    Primary key of the plan day. Internal ID.

  • planStudioTrainingPlan

    Plan the day belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • namestring

    Name of the plan day.

  • descriptionstring

    Description of the plan day.

  • day_of_weekinteger

    Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

  • roundsinteger

    Number of rounds if the day is executed as a circuit (Zirkeltraining)

  • round_rest_secondsinteger

    Pause between circuit rounds in seconds

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan_day \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true
    },
    "day_of_week": 1,
    "rounds": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "day_of_week": 1,
  "rounds": 1,
  "round_rest_seconds": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Returns a single StudioTrainingPlanDay

GET/api/crm/studio_training/plan_day/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single StudioTrainingPlanDayStudioTrainingPlanDay

Show fields (11)
  • idinteger

    Primary key of the plan day. Internal ID.

  • planStudioTrainingPlan

    Plan the day belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • namestring

    Name of the plan day.

  • descriptionstring

    Description of the plan day.

  • day_of_weekinteger

    Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

  • roundsinteger

    Number of rounds if the day is executed as a circuit (Zirkeltraining)

  • round_rest_secondsinteger

    Pause between circuit rounds in seconds

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan_day/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "day_of_week": 1,
  "rounds": 1,
  "round_rest_seconds": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a single StudioTrainingPlanDay

PUT/api/crm/studio_training/plan_day/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingPlanDay
    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

Responses

200Update a single StudioTrainingPlanDayStudioTrainingPlanDay

Show fields (11)
  • idinteger

    Primary key of the plan day. Internal ID.

  • planStudioTrainingPlan

    Plan the day belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • namestring

    Name of the plan day.

  • descriptionstring

    Description of the plan day.

  • day_of_weekinteger

    Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

  • roundsinteger

    Number of rounds if the day is executed as a circuit (Zirkeltraining)

  • round_rest_secondsinteger

    Pause between circuit rounds in seconds

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan_day/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true
    },
    "day_of_week": 1,
    "rounds": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "day_of_week": 1,
  "rounds": 1,
  "round_rest_seconds": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a single StudioTrainingPlanDay

PATCH/api/crm/studio_training/plan_day/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingPlanDay
    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

Responses

200Update a single StudioTrainingPlanDayStudioTrainingPlanDay

Show fields (11)
  • idinteger

    Primary key of the plan day. Internal ID.

  • planStudioTrainingPlan

    Plan the day belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • namestring

    Name of the plan day.

  • descriptionstring

    Description of the plan day.

  • day_of_weekinteger

    Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

  • roundsinteger

    Number of rounds if the day is executed as a circuit (Zirkeltraining)

  • round_rest_secondsinteger

    Pause between circuit rounds in seconds

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan_day/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true
    },
    "day_of_week": 1,
    "rounds": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "day_of_week": 1,
  "rounds": 1,
  "round_rest_seconds": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Delete a single StudioTrainingPlanDay (soft delete)

DELETE/api/crm/studio_training/plan_day/{identifier}

Path parameters

identifierrequiredstring

Responses

200Delete a single StudioTrainingPlanDayStudioTrainingPlanDay

Show fields (11)
  • idinteger

    Primary key of the plan day. Internal ID.

  • planStudioTrainingPlan

    Plan the day belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • namestring

    Name of the plan day.

  • descriptionstring

    Description of the plan day.

  • day_of_weekinteger

    Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

  • roundsinteger

    Number of rounds if the day is executed as a circuit (Zirkeltraining)

  • round_rest_secondsinteger

    Pause between circuit rounds in seconds

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan_day/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "day_of_week": 1,
  "rounds": 1,
  "round_rest_seconds": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}